summaryrefslogtreecommitdiff
path: root/etckeeper-commit-pre
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2016-02-09 09:14:54 +0100
committerLocal Administrator <root@localhost>2016-02-09 09:15:33 +0100
commit3bdd5e324ed918c26a230fb76620561b1a017f87 (patch)
tree91104631af0930d4c24393bb146a61e9d8d03278 /etckeeper-commit-pre
downloadpuppet.WDORF-3bdd5e324ed918c26a230fb76620561b1a017f87.tar.gz
puppet.WDORF-3bdd5e324ed918c26a230fb76620561b1a017f87.tar.bz2
puppet.WDORF-3bdd5e324ed918c26a230fb76620561b1a017f87.zip
initial commit, distribute SSH pubkeys
Diffstat (limited to 'etckeeper-commit-pre')
-rwxr-xr-xetckeeper-commit-pre10
1 files changed, 10 insertions, 0 deletions
diff --git a/etckeeper-commit-pre b/etckeeper-commit-pre
new file mode 100755
index 0000000..a66fb62
--- /dev/null
+++ b/etckeeper-commit-pre
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+
+which etckeeper > /dev/null 2>&1 || exit 0
+
+etckeeper commit "saving uncommitted changes in /etc prior to puppet catalog run"
+
+# Failure of etckeeper should not be fatal.
+exit 0